# ======================== Elasticsearch Configuration =========================
#
# NOTE: Elasticsearch comes with reasonable defaults for most settings.
#       Before you set out to tweak and tune the configuration, make sure you
#       understand what are you trying to accomplish and the consequences.
#
# The primary way of configuring a node is via this file. This template lists
# the most important settings you may want to configure for a production cluster.
#
# Please see the documentation for further information on configuration options:
# <http://www.elastic.co/guide/en/elasticsearch/reference/current/setup-configuration.html>
#
# ---------------------------------- Cluster -----------------------------------
#
# Use a descriptive name for your cluster:
#
# cluster.name: my-application

cluster.name: elch-test

#
# ------------------------------------ Node ------------------------------------
#
# Use a descriptive name for the node:
#
node.name: elch-test2

#
# Add custom attributes to the node:
#
# node.rack: r1
#
# ----------------------------------- Paths ------------------------------------
#
# Path to directory where to store the data (separate multiple locations by comma):
#
# path.data: /path/to/data
#
# Path to log files:
#
# path.logs: /path/to/logs
#
# ----------------------------------- Memory -----------------------------------
#
# Lock the memory on startup:
#
# bootstrap.mlockall: true
#
# Make sure that the `ES_HEAP_SIZE` environment variable is set to about half the memory
# available on the system and that the owner of the process is allowed to use this limit.
#
# Elasticsearch performs poorly when the system is swapping the memory.
#
# ---------------------------------- Network -----------------------------------
#
# Set the bind address to a specific IP (IPv4 or IPv6):
#
# network.host: localhost

## Dieser Knoten muss im LAN kommunizieren k�nnen; daher bindet diese
## Option Elasticsearch an alle IPv4-Adressen von "eth0":

network.host: _eth0:ipv4_

#
# Set a custom port for HTTP:
#
# http.port: 9200
#
# For more information, see the documentation at:
# <http://www.elastic.co/guide/en/elasticsearch/reference/current/modules-network.html>
#

## Da auf diesem und den anderen zus�tzlichen Knoten keine REST API
## erforderlich ist, deaktiviert diese Funktion das Feature komplett.

http.enabled: false


# ---------------------------------- Gateway -----------------------------------
#
# Block initial recovery after a full cluster restart until N nodes are started:
#
# gateway.recover_after_nodes: 3
#
# For more information, see the documentation at:
# <http://www.elastic.co/guide/en/elasticsearch/reference/current/modules-gateway.html>
#
# --------------------------------- Discovery ----------------------------------
#
# Elasticsearch nodes will find each other via unicast, by default.
#
# Pass an initial list of hosts to perform discovery when new node is started:
# The default list of hosts is ["127.0.0.1", "[::1]"]
#
# discovery.zen.ping.unicast.hosts: ["host1", "host2"]

## Seit Elasticsearch 2 verzichtet die Software auf Multicast zum Finden
## weiterer Knoten. Es ist m�glich, das Feature mit einem Plugin zu aktivieren.
## In der Testumgebung definieren wir auf jedem Elasticsearch-Knoten eine 
## feste Liste der anderen Knoten:

discovery.zen.ping.unicast.hosts: ["elch-test1.example.com", "elch-test2.example.com" , "elch-test3.example.com", "elch-test4.example.com"]

#
# Prevent the "split brain" by configuring the majority of nodes (total number of nodes / 2 + 1):
#
# discovery.zen.minimum_master_nodes: 3
#
# For more information, see the documentation at:
# <http://www.elastic.co/guide/en/elasticsearch/reference/current/modules-discovery.html>
#
# ---------------------------------- Various -----------------------------------
#
# Disable starting multiple nodes on a single system:
#
# node.max_local_storage_nodes: 1
#
# Require explicit names when deleting indices:
#
# action.destructive_requires_name: true

## In Kibanas "JSON Input"-Feld (und �ber die REST API von Elasticsearch 
## insgesamt) ist es m�glich, kleine Skripte bei den Abfragen mitzuschicken, 
## z. B. zur Anwendung mathematischer Funktionen (Logarithmus, Teilen durch 
## 1024 bei Zahlenwerten usw.). 
## Da solche Skripte von au�en potenziell ein Sicherheitsrisiko darstellen, 
## sind sie in der Voreinstellung nicht erlaubt, was diese Option wieder 
## einschaltet. Sie muss auf allen Knoten gesetzt werden!

script.inline: on
